/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2009.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: sgx/include/utils/imagelib/tgaparser.hpp

*/

#ifndef SGX_UTILS_IMAGELIB_TGA_PARSER_HPP
#define SGX_UTILS_IMAGELIB_TGA_PARSER_HPP

class CSGXTexture;
class CSGXFile;

class CTGAParser : public CImageParser {
public:
	static	void	create();

	virtual tBOOL	isRecognised(CSGXFile &file) const;
	virtual tBOOL	open(CSGXFile &file, CImageData &properties) const;
	virtual tBOOL	close(CImageData &properties) const;

	static tBOOL	exportTexture(const sgxString &filename, CSGXTexture *pTexture);
	static tBOOL	exportTexture(CSGXFile &file, CSGXTexture *pTexture);

protected:
	static CTGAParser	*m_pSingleton;
};

#endif /* SGX_UTILS_IMAGELIB_TGA_PARSER_HPP */
